AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES           = TabDumpEvent.h TabDumpRecord.h
yodaincdir                  = $(includedir)/yoda/event/tabDump
yodainc_HEADERS             = ${YODA_HEADER_FILES}

YODA_SOURCES                = TabDumpEvent.cpp TabDumpRecord.cpp

BUILT_SOURCES               = TabDumpDict.cpp TabDumpDict.h

noinst_LTLIBRARIES          = libtabdumpevent.la

libtabdumpevent_la_SOURCES  =   ${YODA_HEADER_FILES}   \
                                ${YODA_SOURCES}        \
                                ${BUILT_SOURCES}       \
                                LinkDef.h

TabDumpDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^

